OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
FormattedInt< IntT > Class Template Reference

I/O manipulator that formats integer values with thousands separators. More...

`#include <openvdb/util/Formats.h>`

## Public Member Functions
| FormattedInt (IntT n)
std::ostream & | put (std::ostream &os) const

## Static Public Member Functions
static char | sep ()

## Detailed Description

template<typename IntT>
class openvdb::v11_0::util::FormattedInt< IntT >

I/O manipulator that formats integer values with thousands separators.

## Constructor & Destructor Documentation

## ◆ FormattedInt()

template<typename IntT >

FormattedInt | ( | IntT | n | ) |
| inline

## Member Function Documentation

## ◆ put()

template<typename IntT >

std::ostream & put | ( | std::ostream & | os | ) | const
| inline

## ◆ sep()

template<typename IntT >

static char sep | ( |  | ) |
| inline static